<?php
/**
 * @category   Getready
 * @package    Getready_Kaas
 * @author     Getready Team <info@getready.cz>
 */

class Getready_Kaas_Block_Adminhtml_Settings extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct()
    {
        $this->_objectId = 'server_id';
        parent::__construct();                                        
        $this->_blockGroup = 'kaas';
        $this->_controller = 'adminhtml';
        $this->_mode = 'settings'; 
        $this->_removeButton('reset');
        $this->_removeButton('back');
        $this->updateButton('save','label', Mage::helper('kaas')->__('Next'));

        if(!Mage::getSingleton('admin/session')->isAllowed('system/api/kaas')) {           
            $this->_removeButton('save');            
        }

        if(Mage::helper('kaas/settings')->isSettingsComplete()) {
            $this->_removeButton('save');
        }
        $this->_removeButton('delete');           
    }

    public function getHeaderText()
    {       
        if(!Mage::helper('kaas/settings')->isSettingsComplete()) {  
            return Mage::helper('kaas')->__('Koongo as a Service (KaaS) connection wizard - Step 1');
        } else {
            if(Mage::getSingleton('admin/session')->getUser()->getUsername() == Getready_Kaas_Helper_Settings::ADMIN_USER_NAME) {
                return Mage::helper('kaas')->__('Koongo as a Service (KaaS) connection wizard - Step 3');
            } else {
                return Mage::helper('kaas')->__('Koongo as a Service (KaaS) connection wizard - Step 2');    
            }
        }
    }   
    



}