<?php
/**
 * @category   Getready
 * @package    Getready_Kaas
 * @author     Getready Team <info@getready.cz>
 */

     
class Getready_Kaas_Block_Adminhtml_Settings_Form extends Mage_Adminhtml_Block_Widget_Form
{
    protected function _prepareForm()
    {                
        $form = new Varien_Data_Form(array(
                'id' => 'edit_form',
                'action' => $this->getUrl('*/*/settingsSave', array()),
                'method' => 'post',
                'enctype' => 'multipart/form-data'
             )
        );
                            
        $form->setUseContainer(true); 

        if(!Mage::helper('kaas/settings')->isSettingsComplete()) {        
            
            $fieldset_settings = $form->addFieldset('settings_form', array('legend'=>Mage::helper('kaas')->__('Magento REST API settings info')));             

            $fieldset_settings->addField('note_0', 'note',
                array(
                    'label' => Mage::helper('kaas')->__('Following settings will be automatically configured:'),
                    'text'  => '',                             
                )
            );

            $fieldset_settings->addField('note_1', 'note',
                array(                    
                    'text'  => Mage::helper('kaas')->__('New OAuth Consumer with title "kaas"'),                             
                )
            );

            $fieldset_settings->addField('note_2', 'note',
                array(                    
                    'text'  => Mage::helper('kaas')->__('New REST Role named "kaas" and REST Attribute (User type) named "admin"'),                             
                )
            );

            
            $fieldset_settings->addField('note_3', 'note',
                array(                    
                    'text'  => Mage::helper('kaas')->__('The Role and Attribute will access to following API resources: Kaas, Sales, Catalog, Catalog Inventory'),                             
                )
            );

            $fieldset_settings->addField('note_4', 'note',
                array(                    
                    'text'  => Mage::helper('kaas')->__('Note: Please contact support@koongo.com for further details.'),                             
                )
            );

            // $fieldset_settings->addField('rest_role_note', 'note',
            //     array(
            //         'text'  => 'New rest role named \''.Getready_Kaas_Helper_Settings::REST_ROLE_NAME.'\' will be created. This role will have all Kaas resource access.',                             
            //     )
            // );
            
            // $fieldset_settings->addField('rest_attributes_note', 'note',
            //     array(
            //         'text'  => 'User type \''.Getready_Kaas_Helper_Settings::REST_USER_TYPE.'\' will have all Kaas rest attribute rules.',                             
            //     )
            // );            

            // $oauth_consumer_data = new Varien_Object(Mage::helper('kaas/settings')->getKaasOauthConsumerData());
            // $fieldset_settings->addField('oauth_consumer_note', 'note',
            //     array(
            //         'text'  => 'New OAuth Consumers with name \''.$oauth_consumer_data->getName().'\' will be created. ',                             
            //     )
            // );            

            if(Mage::helper('kaas/settings')->hasCurrentUserSomeRestRole()) { //when user has some rest role, we nee to create new admin user a and admin role
                $fieldset_admin_user = $form->addFieldset('admin_user_form', array('legend'=>Mage::helper('kaas')->__('Admin user for REST authorization')));                         

                $admin_user_data = new Varien_Object(Mage::helper('kaas/settings')->getKaasAdminUserData());            
                $fieldset_admin_user->addField('admin_user_note', 'note',
                    array(
                        'text'  => Mage::helper('kaas')->__('New Magento admin user with username "%s" and email address "%s" will be created for API connection. Admin user role "%s" and REST role "%s" will be assigned to this user.',
                            $admin_user_data->getUsername(),
                            $admin_user_data->getEmail(), 
                            Getready_Kaas_Helper_Settings::ADMIN_ROLE_NAME,
                            Getready_Kaas_Helper_Settings::REST_ROLE_NAME
                        ),                             
                    )
                );

                $fieldset_admin_user->addField('password', 'password', array(
                    'name'  => 'adminuser[password]',
                    'label' => Mage::helper('adminhtml')->__('Password'),
                    'id'    => 'customer_pass',
                    'title' => Mage::helper('adminhtml')->__('Password'),
                    'class' => 'input-text required-entry validate-admin-password',
                    'required' => true,
                ));
                $fieldset_admin_user->addField('confirmation', 'password', array(
                    'name'  => 'adminuser[password_confirmation]',
                    'label' => Mage::helper('adminhtml')->__('Password Confirmation'),
                    'id'    => 'confirmation',
                    'title' => Mage::helper('adminhtml')->__('Password Confirmation'),
                    'class' => 'input-text required-entry validate-cpassword',
                    'required' => true,
                ));
            }

            $fieldset_agreement = $form->addFieldset('agreement_form', array('legend'=>Mage::helper('kaas')->__('Approval')));             

            $fieldset_agreement->addField('agreement_note', 'note',
                array(
                    'text'  => Mage::helper('kaas')->__('Please enter your admin password and click next to proceed.'),                             
                )
            );

            $fieldset_agreement->addField('current_password', 'obscure',
                array(
                    'name'  => 'current_password',
                    'label' => Mage::helper('adminhtml')->__('Current Admin Password'),
                    'title' => Mage::helper('adminhtml')->__('Current Admin Password'),
                    'required' => true
                )
            );
        } else {                                                  
            if(!Mage::helper('kaas/settings')->hasCurrentUserKaasRestRole()) {
                $fieldset_logout = $form->addFieldset('autorize_form', array('legend'=>Mage::helper('kaas')->__('Switch to kaas user')));                     
                
                $fieldset_logout->addField('logout_note', 'note',
                    array(
                        'text'  => '•   ' . Mage::helper('kaas')->__('Please log out and log in as user "%s".',Getready_Kaas_Helper_Settings::ADMIN_USER_NAME),                             
                    )
                );
                $fieldset_logout->addField('logout_note2', 'note',
                    array(
                        'text'  => '•   ' . Mage::helper('kaas')->__('Once you are logged in, please navigate to System > Web services > KaaS - Access authorization to authorize access'),                             
                    )
                );            

            } else {

                $fieldset_autorize = $form->addFieldset('autorize_form', array('legend'=>Mage::helper('kaas')->__('Authorization')));                     
                
                $fieldset_autorize->addField('authorize_note', 'note',
                    array(
                        'text'  => Mage::helper('kaas')->__('Please click button below to connect your Koongo account with Magento store.'),                             
                    )
                );

                $authorize_url = Mage::helper('kaas/settings')->getAuthorizeUrl();
                $fieldset_autorize->addField('authorize', 'button', array(
                    //'label' => Mage::helper('core')->__('Authorize'),
                    'value' => Mage::helper('kaas')->__('Authorize'),
                    'name'  => 'authorize',
                    'class' => 'form-button',
                    'onclick' => "window.open('{$authorize_url}')",
                ));
            }
        }    

        $this->setForm($form);                 
      
        return parent::_prepareForm();
    }




}