<?php
/**
 * Magento Module developed by Getready s.r.o.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@getready.cz so we can send you a copy immediately.
 * 
 * @copyright  Copyright (c) 2016-2018 GetReady s.r.o. (https://www.getready.cz)
 */
/**
 * @category   Getready
 *
 * @author     Getready Team <info@getready.cz>
 */
class Getready_Kaas_Helper_Data extends Mage_Core_Helper_Abstract
{
    const DEFAULT_ROOT_LEVEL = 2;

    protected $_store_id = 0;

    public function setStoreId($store_id)
    {
        $this->_store_id = $store_id;

        Mage::app()->setCurrentStore( $store_id);

        return $this;
    }

    public function getStoreId()
    {
        return $this->_store_id;
    }

    public function getDefaultRootLevel()
    {
        return self::DEFAULT_ROOT_LEVEL;
    }

    public function getModuleVersion() {
      return(string) Mage::getConfig()->getNode()->modules->Getready_Kaas->version;
    }
}
