<?php
/**
 * Magento Module developed by Getready s.r.o.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@getready.cz so we can send you a copy immediately.
 * 
 * @copyright  Copyright (c) 2016-2018 GetReady s.r.o. (https://www.getready.cz)
 */
/**
 * @category   Getready
 *
 * @author     Getready Team <info@getready.cz>
 */
class Getready_Kaas_Model_Api2_Activity_Rest_Admin_V1 extends Getready_Kaas_Model_Api2_Activity {

  /**
	 * Return item GET
	 */
	protected function _retrieveCollection()
	{
    
    $store_id = $this->getRequest()->getParam('store_id', 0);

    if ($store_id) {
      $store = Mage::getModel('core/store')->load($store_id);
      if (!$store->getId()) {
        $this->_critical("requested store does not exist");
      } else {
        $activity_feed = Mage::Helper('kaas_activity')->getActivityFeed($store);
        return $activity_feed;  
      }      
    } else {
      $this->_critical("store is missing");
    }
	}
  
  /**
	 * Return item GET
	 */
	protected function _delete()
	{
    
    $store_id = $this->getRequest()->getParam('store_id', 0);

    if ($store_id) {
      $store = Mage::getModel('core/store')->load($store_id);
      if (!$store->getId()) {
        $this->_critical("requested store does not exist");
      } else {
        $result = Mage::Helper('kaas_activity')->clearActivityFeed($store);

        return $result;  
      }      
    } else {
      $this->_critical("store is missing");
    }
	}
  
  /**
	 * Return item GET
	 */
	protected function _retrieve()
	{
    $store_id = $this->getRequest()->getParam('store_id', 0);

    if ($store_id) {
      $store = Mage::getModel('core/store')->load($store_id);
      if (!$store->getId()) {
        $this->_critical("requested store does not exist");
      } else {
        $result = Mage::Helper('kaas_activity')->getActivityFeedFlag($store);

        return array('flag' => ($result > 0));
      }      
    } else {
      $this->_critical("store is missing");
    }
    
	}	
  
}