<?php
/**
 * Magento Module developed by Getready s.r.o.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@getready.cz so we can send you a copy immediately.
 * 
 * @copyright  Copyright (c) 2016-2018 GetReady s.r.o. (https://www.getready.cz)
 */
/**
 * @category   Getready
 *
 * @author     Getready Team <info@getready.cz>
 */
class Getready_Kaas_Model_Api2_Store_Rest_Admin_V1 extends Getready_Kaas_Model_Api2_Store {

  /**
	 * Return item GET
	 */
	protected function _retrieveCollection()
	{
    
    // Retrieve stores
    $stores = Mage::app()->getStores();

    // Make result array
    $result = array();
    foreach ($stores as $store) {
        $result[] = Mage::Helper('kaas_store')->getStoreInfo($store);
    }

    return $result;
	}
  
  /**
	 * Retrieve store
	 */
	protected function _retrieve()
	{
    $store_id = $this->getRequest()->getParam('store_id', false);
    if ($store_id !== false) {
      $store = Mage::getModel('core/store')->load($store_id);
      if (!$store->getId()) {
        $this->_critical("requested store does not exist");
      } else {
        $store_info = Mage::Helper('kaas_store')->getStoreInfo($store);
        return $store_info;  
      }      
    } else {
      $this->_critical("store is missing");
    }
	}	
  
}