<?php
/**
 * Magento Module developed by Getready s.r.o.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@getready.cz so we can send you a copy immediately.
 * 
 * @copyright  Copyright (c) 2016-2018 GetReady s.r.o. (https://www.getready.cz)
 */
/**
 * @category   Getready
 *
 * @author     Getready Team <info@getready.cz>
 */

$installer = $this;
$installer->startSetup();

$installer->run("

-- DROP TABLE IF EXISTS {$this->getTable('getready_kaas_activity')};
CREATE TABLE {$this->getTable('getready_kaas_activity')} (
  `id` int(11) unsigned NOT NULL auto_increment,
  `store_id` int(11) NOT NULL default 0,
  `product_id` int(11) NOT NULL default 0,
  `action` VARCHAR(255) NULL ,    
  `created_at` DATETIME NULL ,
  PRIMARY KEY (`id`),
  INDEX `getready_activity_feed_store_index1` (`store_id`),  
  INDEX `getready_activity_feed_index1` (`store_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

");

$installer->endSetup();
